List sent delivery links
GET
/v1/workspaces/{workspaceId}/assets/links
const url = 'https://shareout.site/v1/workspaces/example/assets/links';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://shareout.site/v1/workspaces/example/assets/links \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” workspaceId
required
string
Workspace ID or slug.
Responses
Section titled “ Responses ”Links
Media type application/json
object
links
Array<object>
object
id
string
url
string format: uri
collectionName
string
fileCount
integer
gate
string
expiresAt
string format: date-time
viewCount
integer
revoked
boolean
expired
boolean
Example
{ "links": [ { "gate": "none" } ]}Access denied
Media type application/json
object
success
required
boolean
error
required
Human-readable message.
string
code
required
Machine-readable error code.
string
Example
{ "success": false}